Skip to main content
PUT
/
location-outages
/
{outageId}
Update a specific location outage
curl --request PUT \
  --url https://api.fabric.inc/v3/location-outages/{outageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "locationNumber": 23,
  "disabledFulfillmentMethods": [
    "<string>"
  ],
  "schedule": {
    "startDate": "2022-05-12T09:30:31Z",
    "endDate": "2022-05-12T09:30:31Z",
    "indefinite": true
  },
  "reasonCode": "maintenance",
  "notes": "Any additional info",
  "createdBy": "Carl Doe",
  "updatedBy": "Carl Doe"
}
'
{
  "locationNumber": 23,
  "disabledFulfillmentMethods": [
    "<string>"
  ],
  "schedule": {
    "startDate": "2022-05-12T09:30:31Z",
    "endDate": "2022-05-12T09:30:31Z",
    "indefinite": true
  },
  "reasonCode": "maintenance",
  "outageId": "9320183a01e214",
  "outageNumber": "OUTAGE1",
  "status": "CREATED",
  "notes": "Any additional info",
  "createdBy": "Carl Doe",
  "createdAt": "2022-05-12T09:30:31Z",
  "updatedBy": "Carl Doe",
  "updatedAt": "2022-05-12T09:30:31Z",
  "auditLogs": [
    {
      "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
      "auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
      "auditType": "CANCEL",
      "employeeId": 6227,
      "auditedAt": "2023-03-12T09:24:54.804Z",
      "source": "POS",
      "reasonCode": "Scratched item",
      "subReasonCode": "Scratched item",
      "policyCode": "POS",
      "note": "Note",
      "lineItemNumber": 1,
      "sku": "SKU0023",
      "quantity": 1,
      "amount": 2.4,
      "paymentToken": {
        "token": "pi_34tr6787rt",
        "paymentType": "VISA"
      },
      "updatedFields": [
        {
          "fieldName": "UOM",
          "fieldOriginalValue": "PK"
        }
      ],
      "attributes": {
        "key": "value"
      },
      "isSuccess": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-fabric-tenant-id
string
required

A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.

x-fabric-request-id
string

Unique request ID

x-fabric-channel-id
string

x-fabric-channel-id identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is an optional field. The default US channel is 12 while the default Canada channel is 13.

Path Parameters

outageId
string
required

Merchant-specified unique number to identify the location outage

Body

application/json

Request payload used to update an existing outage for a specific location. Allows modifications to fulfillment method availability, scheduling, and related metadata.

locationNumber
integer<int32>
required

The unique identifier of the location impacted by the outage, as defined by the merchant.

Example:

23

disabledFulfillmentMethods
string[]
required

A list of fulfillment methods that will be temporarily disabled during the updated outage period (for example, ShipToHome, Pickup).

A fulfillment method to be disabled for the duration of the outage.

schedule
object
required

The updated time window during which the outage will be in effect.

reasonCode
string
required

A merchant-defined reason for the outage update, used for operational tracking (for example, maintenance, severe weather, staffing).

Example:

"maintenance"

notes
string

Optional notes or comments providing additional context for the outage update.

Example:

"Any additional info"

createdBy
string

Identifier of the user or system that originally created the outage record.

Example:

"Carl Doe"

updatedBy
string

Identifier of the user or system making this update.

Example:

"Carl Doe"

Response

Location outage updated

Response object representing a scheduled outage at a specific location, including status, duration, fulfillment impact, and auditing information.

locationNumber
integer<int32>
required

The unique identifier of the location affected by the outage, as defined by the merchant.

Example:

23

disabledFulfillmentMethods
string[]
required

A list of fulfillment methods that are disabled during the outage period (for example, ShipToHome, Pickup).

A fulfillment method that will be unavailable during the outage.

schedule
object
required

The date and time range during which the outage is scheduled to occur.

reasonCode
string
required

A merchant-defined reason for initiating the outage (for example, maintenance, staffing, system upgrade).

Example:

"maintenance"

outageId
string

A system-generated unique identifier for the outage event.

Example:

"9320183a01e214"

outageNumber
string

A merchant-defined unique identifier used to reference the outage.

Example:

"OUTAGE1"

status
enum<string>

The current status of the outage lifecycle.

Available options:
CREATED,
STARTED,
ENDED,
CANCELLED
Example:

"CREATED"

notes
string

Optional notes or additional context related to the outage.

Example:

"Any additional info"

createdBy
string

The user or system that originally created the outage record.

Example:

"Carl Doe"

createdAt
string<date-time>

The timestamp when the outage was created, in ISO 8601 UTC format.

Example:

"2022-05-12T09:30:31Z"

updatedBy
string

The user or system that last modified the outage record.

Example:

"Carl Doe"

updatedAt
string<date-time>

The timestamp of the most recent update to the outage record, in ISO 8601 UTC format.

Example:

"2022-05-12T09:30:31Z"

auditLogs
object[]

A list of audit log entries capturing changes and actions performed on the outage record.